Соберите, пожалуйста, пакет ...

Используем пакеты, расширяющие возможности оборудования
Аватара пользователя
Zyxmon
Администратор
Сообщения: 1355
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 23 авг 2015, 07:06

В этой теме оставляйте Ваши заявки.
Приблизительный шаблон:
---------------------------------------
Соберите, пожалуйста, пакет XXX, версия YYY.
Ссылка на исходники - http:://
Пакет (есть, нет, не знаю) в Openwrt.

Я использую железку ZZZ с Entware.mipsel фид mipselsf
Готов протестировать
-------------------------------------

Аватара пользователя
Александр Рыжов
Сообщения: 332
Зарегистрирован: 12 авг 2015, 13:14
Откуда: Смоленск

Сообщение Александр Рыжов » 13 дек 2015, 08:44

KpoTz писал(а):Источник цитаты Где-то с версии 5.3.2 пакета strongswan, а точнее его mod "strongswan-mod-kernel-netlink" отсутсвует.
Добавил в MIPS.

KpoTz
Сообщения: 3
Зарегистрирован: 11 дек 2015, 18:52

Сообщение KpoTz » 14 дек 2015, 00:43

Огромное спасибо Zyxmon и Александр. Переустановил entware, скрипт на прошивке от Падавана использует фид с http://pkg.entware.net/binaries/mipsel. Это я как понимаю, наиновейшая entware-ng. Strongswan 5.3.4-2 завёлся без ошибок, туннель смогу проверить только завтра с работы, но похоже проблем не будет. Пожалуйста замените init скрипт, так как который идёт с пакетом не срабатывет. Я свой допиcал так:

Код: Выделить всё

#!/bin/sh
PATH=/opt/sbin:/opt/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

start() {
        ipsec start
}

stop() {
        ipsec stop
}

restart() {
        ipsec restart
}

reload() {
        ipsec update
}

case "$1" in
        start)
                start
                ;;
        stop)
                stop
                ;;
        restart)
                restart
                ;;
        reload)
                reload
                ;;
        *)
                echo $"Usage: $0 {start|stop|restart|reload]"
                exit 1
esac
exit 0

Аватара пользователя
Александр Рыжов
Сообщения: 332
Зарегистрирован: 12 авг 2015, 13:14
Откуда: Смоленск

Сообщение Александр Рыжов » 14 дек 2015, 13:36

KpoTz писал(а):Источник цитаты Пожалуйста замените init скрипт, так как который идёт с пакетом не срабатывет.
Готово. Спасибо!

Dext
Сообщения: 5
Зарегистрирован: 21 дек 2015, 04:47

Сообщение Dext » 21 дек 2015, 05:02

Здравствуйте, соберите пожалуйта пакет
Ссылка на исходники - https://github.com/dirkvdb/ps3netsrv--

Я использую железку Asus RT-N16 с Entware-ng
Готов протестировать

Аватара пользователя
Александр Рыжов
Сообщения: 332
Зарегистрирован: 12 авг 2015, 13:14
Откуда: Смоленск

Сообщение Александр Рыжов » 21 дек 2015, 08:42

Тов. Radjah просил собрать ps3netsrv, а здесь ссылка на ps3netsrv--. В их чём отличие, кроме с++ библиотеки?

Dext
Сообщения: 5
Зарегистрирован: 21 дек 2015, 04:47

Сообщение Dext » 21 дек 2015, 08:57

Александр Рыжов писал(а):Источник цитаты Тов. Radjah просил собрать ps3netsrv, а здесь ссылка на ps3netsrv--. В их чём отличие, кроме с++ библиотеки?

Честно говоря не знаю, может одно и тоже. Мне без разницы какой, лишь бы работало. Если где-то было ткните носом, поиском на форуме не нашел.

Аватара пользователя
Александр Рыжов
Сообщения: 332
Зарегистрирован: 12 авг 2015, 13:14
Откуда: Смоленск

Сообщение Александр Рыжов » 21 дек 2015, 11:22

Dext, дальше слов дело не пошло, поэтому можете не искать. Записал в книгу добрых дел.

Dext
Сообщения: 5
Зарегистрирован: 21 дек 2015, 04:47

Сообщение Dext » 21 дек 2015, 11:54

Александр Рыжов писал(а):Источник цитаты Dext, дальше слов дело не пошло, поэтому можете не искать. Записал в книгу добрых дел.

Спасибо, будем ждать.

Аватара пользователя
Александр Рыжов
Сообщения: 332
Зарегистрирован: 12 авг 2015, 13:14
Откуда: Смоленск

Сообщение Александр Рыжов » 21 дек 2015, 17:10

Dext писал(а):Я использую железку Asus RT-N16 с Entware-ng
Готов протестировать
Готово. Там какой-то протокол менялся (?), проверьте, что всё идёт без ошибок.

Аватара пользователя
Александр Рыжов
Сообщения: 332
Зарегистрирован: 12 авг 2015, 13:14
Откуда: Смоленск

Сообщение Александр Рыжов » 22 дек 2015, 10:23

tsynik писал(а):Источник цитаты В debian почему-то до сих пор версия 332.25

В апстриме тоже, поэтому именно её я добавил. Бинарники для ARM будут позже.


Вернуться в «Entware/Qnapware/Optware/Zyxware - обсуждаем репозитории пакетов»

Кто сейчас на конференции

Всего 1 посетитель :: 1 зарегистрированный, 0 скрытых и 0 гостей (основано на активности пользователей за последние 5 минут)
Больше всего посетителей (121) здесь было 18 май 2016, 18:19

Сейчас этот форум просматривают: CommonCrawl [Bot] и 0 гостей